Skip to content

Instantly share code, notes, and snippets.

@jcrugzz jcrugzz/gist:3350831
Created Aug 14, 2012

Embed
What would you like to do?
slightly more descriptive error
prompt: Is this ok?: (yes) y
info: Creating snapshot 0.0.0-61
info: Updating app blackTechCloud
info: Activating snapshot 0.0.0-61 for blackTechCloud
info: Starting app blackTechCloud
error: Error running command deploy
error: Nodejitsu Error (500): Internal Server Error
error: There was an error while attempting to deploy your application.
error:
error: NPM Install failed
error: NPM failed to install dependencies
error:
error: This type of error is usually a user error.
error: Error output from Haibu:
error:
error: npm WARN package.json blackTechCloud@0.0.0-61 No README.md file found!
error: npm http GET https://registry.npmjs.org/union/0.3.3
error: npm http GET https://registry.npmjs.org/flatiron/0.2.5
error: npm http GET https://registry.npmjs.org/utile
error: npm http GET https://registry.npmjs.org/socket.io/0.9.2
error: npm http GET https://registry.npmjs.org/redis/0.7.2
error: npm http GET https://registry.npmjs.org/mongodb
error: npm http GET https://registry.npmjs.org/mongoose
error: npm http GET https://registry.npmjs.org/bcrypt
error: npm http GET https://registry.npmjs.org/base62
error: npm http GET https://registry.npmjs.org/connect/2.1.0
error: npm http GET https://registry.npmjs.org/moment
error: npm http GET https://registry.npmjs.org/ecstatic
error: npm http GET https://registry.npmjs.org/platform
error: npm http GET https://registry.npmjs.org/node-uuid
error: npm http 200 https://registry.npmjs.org/union/0.3.3
error: npm http 200 https://registry.npmjs.org/redis/0.7.2
error: npm http GET https://registry.npmjs.org/redis/-/redis-0.7.2.tgz
error: npm http GET https://registry.npmjs.org/union/-/union-0.3.3.tgz
error: npm http 200 https://registry.npmjs.org/flatiron/0.2.5
error: npm http GET https://registry.npmjs.org/flatiron/-/flatiron-0.2.5.tgz
error: npm http 200 https://registry.npmjs.org/utile
error: npm http GET https://registry.npmjs.org/utile/-/utile-0.1.3.tgz
error: npm http 200 https://registry.npmjs.org/socket.io/0.9.2
error: npm http GET https://registry.npmjs.org/socket.io/-/socket.io-0.9.2.tgz
error: npm http 200 https://registry.npmjs.org/mongoose
error: npm http 200 https://registry.npmjs.org/bcrypt
error: npm http 200 https://registry.npmjs.org/base62
error: npm http 200 https://registry.npmjs.org/connect/2.1.0
error: npm http 200 https://registry.npmjs.org/moment
error: npm http 200 https://registry.npmjs.org/mongodb
error: npm http 200 https://registry.npmjs.org/node-uuid
error: npm http 200 https://registry.npmjs.org/platform
error: npm http 200 https://registry.npmjs.org/ecstatic
error: npm http 200 https://registry.npmjs.org/redis/-/redis-0.7.2.tgz
error: npm http 200 https://registry.npmjs.org/utile/-/utile-0.1.3.tgz
error: npm http 200 https://registry.npmjs.org/union/-/union-0.3.3.tgz
error: npm http 200 https://registry.npmjs.org/flatiron/-/flatiron-0.2.5.tgz
error: npm http 200 https://registry.npmjs.org/socket.io/-/socket.io-0.9.2.tgz
error: npm http GET https://registry.npmjs.org/mongoose/-/mongoose-2.7.4.tgz
error: npm http GET https://registry.npmjs.org/bcrypt/-/bcrypt-0.7.1.tgz
error: npm http GET https://registry.npmjs.org/base62/-/base62-0.1.0.tgz
error: npm http GET https://registry.npmjs.org/connect/-/connect-2.1.0.tgz
error: npm http GET https://registry.npmjs.org/moment/-/moment-1.6.2.tgz
error: npm http GET https://registry.npmjs.org/node-uuid/-/node-uuid-1.3.3.tgz
error: npm http GET https://registry.npmjs.org/platform/-/platform-0.4.0.tgz
error: npm http GET https://registry.npmjs.org/ecstatic/-/ecstatic-0.1.6.tgz
error: npm http GET https://registry.npmjs.org/mongodb/-/mongodb-1.0.2.tgz
error: npm http 200 https://registry.npmjs.org/moment/-/moment-1.6.2.tgz
error: npm http 200 https://registry.npmjs.org/connect/-/connect-2.1.0.tgz
error: npm http 200 https://registry.npmjs.org/base62/-/base62-0.1.0.tgz
error: npm http 200 https://registry.npmjs.org/mongoose/-/mongoose-2.7.4.tgz
error: npm http 200 https://registry.npmjs.org/bcrypt/-/bcrypt-0.7.1.tgz
error: npm http 200 https://registry.npmjs.org/node-uuid/-/node-uuid-1.3.3.tgz
error: npm http 200 https://registry.npmjs.org/mongodb/-/mongodb-1.0.2.tgz
error: npm http 200 https://registry.npmjs.org/platform/-/platform-0.4.0.tgz
error: npm http 200 https://registry.npmjs.org/ecstatic/-/ecstatic-0.1.6.tgz
error: npm WARN package.json connect@2.1.0 No README.md file found!
error: npm WARN package.json mongodb@1.0.2 No README.md file found!
error: npm ERR! addPlacedTarball Could not unpack "/opt/haibu/apps/jcrugzz/blackTechCloud/.npm/platform/0.4.0/package.tgz" to "/opt/haibu/apps/jcrugzz/blackTechCloud/.npm/platform/0.4.0"
error: npm ERR! Error: ENOENT, open '/opt/haibu/apps/jcrugzz/blackTechCloud/.npm/platform/0.4.0/package/package.json'
error: npm ERR! If you need help, you may report this log at:
error: npm ERR! <http://github.com/isaacs/npm/issues>
error: npm ERR! or email it to:
error: npm ERR! <npm-@googlegroups.com>
error:
error: npm ERR! System SunOS 5.11
error: npm ERR! command "node" "/opt/haibu/node-versions/0.6.19/bin/npm" "--cache" "/opt/haibu/apps/jcrugzz/blackTechCloud/.npm" "--userconfig" "/opt/haibu/apps/jcrugzz/blackTechCloud/.userconfig" "--globalconfig" "/opt/haibu/apps/jcrugzz/blackTechCloud/.globalconfig" "install"
error: npm ERR! Error: ENOENT, no such file or directory
error: npm ERR! at errorHandler (/opt/haibu/node-versions/0.6.19/lib/node_modules/npm/lib/utils/error-handler.js:228:28)
error: npm ERR! at cb (/opt/haibu/node-versions/0.6.19/lib/node_modules/npm/lib/install.js:75:20)
error: npm ERR! at cb (/opt/haibu/node-versions/0.6.19/lib/node_modules/npm/lib/install.js:404:40)
error: npm ERR! at /opt/haibu/node-versions/0.6.19/lib/node_modules/npm/lib/install.js:479:22
error: npm ERR! at cb (/opt/haibu/node-versions/0.6.19/lib/node_modules/npm/node_modules/slide/lib/async-map.js:48:11)
error: npm ERR! at /opt/haibu/node-versions/0.6.19/lib/node_modules/npm/lib/install.js:601:14
error: npm ERR! at /opt/haibu/node-versions/0.6.19/lib/node_modules/npm/lib/cache.js:440:30
error: npm ERR! at /opt/haibu/node-versions/0.6.19/lib/node_modules/npm/node_modules/lockfile/lockfile.js:36:7
error: npm ERR! at Object.oncomplete (/opt/haibu/node-versions/0.6.19/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:94:5)
error: npm ERR! If you need help, you may report this log at:
error: npm ERR! <http://github.com/isaacs/npm/issues>
error: npm ERR! or email it to:
error: npm ERR! <npm-@googlegroups.com>
error:
error: npm ERR! System SunOS 5.11
error: npm ERR! command "node" "/opt/haibu/node-versions/0.6.19/bin/npm" "--cache" "/opt/haibu/apps/jcrugzz/blackTechCloud/.npm" "--userconfig" "/opt/haibu/apps/jcrugzz/blackTechCloud/.userconfig" "--globalconfig" "/opt/haibu/apps/jcrugzz/blackTechCloud/.globalconfig" "install"
error: npm ERR! tar pack Error reading /opt/haibu/apps/jcrugzz/.tmp/npm-23339/1344963147220-0.5721744417678565/package
error: npm ERR! addLocalDirectory Could not pack "/opt/haibu/apps/jcrugzz/.tmp/npm-23339/1344963147220-0.5721744417678565/package" to "/opt/haibu/apps/jcrugzz/blackTechCloud/.npm/mongodb/1.0.2/package.tgz"
error: npm ERR! not ok code undefined
error: npm ERR! not ok code 1
error:
info: Nodejitsu not ok
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.